Bug 562035 - Segmentation fault (gstrings.c)
Segmentation fault (gstrings.c)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
abrt_hash:71383bac9f2e319fa6bee3626a5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-04 22:32 EST by don gilbert
Modified: 2010-07-11 05:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-11 05:49:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (12.84 KB, text/plain)
2010-02-04 22:32 EST, don gilbert
no flags Details

  None (edit)
Description don gilbert 2010-02-04 22:32:29 EST
abrt 1.0.4 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: /usr/bin/python /usr/share/yumex/yumex.pyc
component: yumex
executable: /usr/bin/python
kernel: 2.6.31.12-174.2.3.fc12.i686.PAE
package: yumex-2.9.6-3.fc12
rating: 0
reason: Process was terminated by signal 11 (Segmentation fault)
release: Fedora release 12 (Constantine)
Comment 1 don gilbert 2010-02-04 22:32:31 EST
Created attachment 388944 [details]
File: backtrace
Comment 2 Tim Lauridsen 2010-02-05 00:51:59 EST
Can you reproduce it ?

try to update to the latest version of yumex

yum --enablerepo=updates-testing update yumex

and paste the output from running

yumex -d 

in a console
Comment 3 don gilbert 2010-02-07 08:31:11 EST
[dmg@mel ~]$ yumex -d
running
Current Settings
    autorefresh: True
    branding_title: 'Yum Extender NextGen'
    color_install: 'darkgreen'
    color_normal: 'black'
    color_obsolete: 'blue'
    color_update: 'red'
    debug: True
    disable_netcheck: False
    disable_repo_page: False
    history_limit: 15
    plugins: True
    proxy: ''
    recentdays: 14
    repo_exclude: ['debug', 'source']
    win_height: 998
    win_sep: 762
    win_width: 1398
    yumdebuglevel: 2
/usr/lib/python2.6/site-packages/guihelpers/__init__.py:199: GtkWarning: gtk_scrolled_window_add(): cannot add non scrollable widget use gtk_scrolled_window_add_with_viewport() instead
  self.add_from_file(filename)
eth0 (r8169) is connected
/usr/lib/python2.6/site-packages/yumexgui/gui.py:178: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltip = gtk.Tooltips()
/usr/lib/python2.6/site-packages/yumexgui/gui.py:205: DeprecationWarning: Use the new widget gtk.Tooltip
  self.tooltip.set_tip(button, tooltip)
eth0 (r8169) is connected
Connected to an network
DEBUG: Getting package lists - BEGIN
eth0 (r8169) is connected
Starting yum child process
DEBUG: Initialize yum backend - BEGIN
DEBUG: Using yum debuglevel = 2
YUM: Loaded plugins: presto
DEBUG: Initialize yum backend - END
DEBUG: Sending command: get-packages args: ['updates', 'False']
YUM: Populating Package Cache
YUM: getting packages - updates 
DEBUG: Yum Child Task: Command get-packages took 2.43 s to complete
DEBUG: Sending command: get-packages args: ['available', 'False']
YUM: getting packages - available 
DEBUG: Yum Child Task: Command get-packages took 2.51 s to complete
DEBUG: Sending command: get-packages args: ['installed', 'False']
YUM: getting packages - installed 
DEBUG: Getting package lists - END
DEBUG: Getting Group information - BEGIN
DEBUG: Getting Group information
DEBUG: Yum Child Task: Command get-packages took 0.54 s to complete
DEBUG: Sending command: get-groups args: []
DEBUG: Getting Group information - END
DEBUG: Getting History Information - BEGIN
DEBUG: Yum Child Task: Command get-groups took 0.55 s to complete
DEBUG: Sending command: get-history args: []
DEBUG: Yum Child Task: Command get-history took 0.06 s to complete
DEBUG: Sending command: get-history-packages args: ['86']
DEBUG: Yum Child Task: Command get-history-packages took 0.00 s to complete
DEBUG: Sending command: get-history-packages args: ['85']
DEBUG: Yum Child Task: Command get-history-packages took 0.02 s to complete
DEBUG: Sending command: get-history-packages args: ['84']
DEBUG: Yum Child Task: Command get-history-packages took 0.00 s to complete
DEBUG: Sending command: get-history-packages args: ['83']
DEBUG: Yum Child Task: Command get-history-packages took 0.01 s to complete
DEBUG: Sending command: get-history-packages args: ['82']
DEBUG: Yum Child Task: Command get-history-packages took 0.05 s to complete
DEBUG: Sending command: get-history-packages args: ['81']
DEBUG: Yum Child Task: Command get-history-packages took 0.01 s to complete
DEBUG: Sending command: get-history-packages args: ['80']
DEBUG: Yum Child Task: Command get-history-packages took 0.00 s to complete
DEBUG: Sending command: get-history-packages args: ['79']
DEBUG: Yum Child Task: Command get-history-packages took 0.01 s to complete
DEBUG: Sending command: get-history-packages args: ['78']
DEBUG: Yum Child Task: Command get-history-packages took 0.07 s to complete
DEBUG: Sending command: get-history-packages args: ['77']
DEBUG: Yum Child Task: Command get-history-packages took 0.01 s to complete
DEBUG: Sending command: get-history-packages args: ['76']
DEBUG: Yum Child Task: Command get-history-packages took 0.01 s to complete
DEBUG: Sending command: get-history-packages args: ['75']
DEBUG: Yum Child Task: Command get-history-packages took 0.00 s to complete
DEBUG: Sending command: get-history-packages args: ['74']
DEBUG: Yum Child Task: Command get-history-packages took 0.00 s to complete
DEBUG: Sending command: get-history-packages args: ['73']
DEBUG: Yum Child Task: Command get-history-packages took 0.03 s to complete
DEBUG: Sending command: get-history-packages args: ['72']
DEBUG: Yum Child Task: Command get-history-packages took 0.01 s to complete
DEBUG: Sending command: get-history-packages args: ['71']
DEBUG: Getting History Information - END
DEBUG: Yum Child Task: Command get-history-packages took 0.03 s to complete
DEBUG: Sending command: get-repos args: []
DEBUG: START: Getting updates packages
DEBUG: START: Adding updates packages to view
DEBUG: END: Getting updates packages
Comment 4 Tim Lauridsen 2010-02-07 09:03:08 EST
Can you reproduce it ?

In the lastest yumex release (2.9.7) in updates-testing ?

Note You need to log in before you can comment on or make changes to this bug.